Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.inference.protegeowl
Class ReasonerManager

    java.lang.Object
      edu.stanford.smi.protegex.owl.inference.protegeowl.ReasonerManager

All Implemented Interfaces:
  edu.stanford.smi.protege.util.Disposable

    public class ReasonerManager

extends Object
implements edu.stanford.smi.protege.util.Disposable

User: matthewhorridge
The Univeristy Of Manchester
Medical Informatics Group
Date: Jun 22, 2004

Author:
  Matthew Horridge , Tania Tudorache

Field Summary
`static String` | `CURRENT_REASONER_PROPERTY`

Method Summary
`ProtegeReasoner` | `createProtegeReasoner(OWLModel owlModel)`
`ProtegeReasoner` | `createProtegeReasoner(OWLModel owlModel, Class reasonerJavaClass)`
`ProtegeOWLReasoner` | `createReasoner(OWLModel owlModel)` Deprecated. Use `createProtegeReasoner(owlModel, DefaultProtegeOWLReasoner.class)`
`void` | `dispose()`
`void` | `disposeReasoner(OWLModel owlModel)`
`Class` | `getDefaultDIGReasonerClass()`
`Class` | `getDefaultReasonerClass()`
`String` | `getDefaultReasonerClassName()`
`static ReasonerManager` | `getInstance()`
`ProtegeReasoner` | `getProtegeReasoner(OWLModel owlModel)`
`ProtegeOWLReasoner` | `getReasoner(OWLModel owlModel)` Deprecated.
`ProtegeOWLReasoner` | `getReasoner(OWLModel owlModel, boolean createNew)` Deprecated. Use `createProtegeReasoner(owlModel, DefaultProtegeOWLReasoner.class)`
`boolean` | `hasAttachedReasoner(OWLModel owlModel)`
`void` | `setDefaultReasonerClass(String javaClassName)`
`ProtegeReasoner` | `setProtegeReasonerClass(OWLModel owlModel, Class reasonerJavaClass)`
`ProtegeReasoner` | `setProtegeReasonerClass(OWLModel owlModel, String reasonerJavaClassName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CURRENT_REASONER_PROPERTY

    public static final String CURRENT_REASONER_PROPERTY

See Also:
  Constant Field Values

Method Detail

### getInstance

    public static ReasonerManager getInstance()

### getReasoner

    @Deprecated
    public ProtegeOWLReasoner getReasoner(OWLModel owlModel)

  Deprecated.

  Gets the DIG reasoner for the specified knowledge base

  Parameters:
    `owlModel` - The `OWLModel`
  Returns:
    A reasoner to be used for reasoning over the specified knowledge base.

### getProtegeReasoner

    public ProtegeReasoner getProtegeReasoner(OWLModel owlModel)

### getReasoner

    @Deprecated
    public ProtegeOWLReasoner getReasoner(OWLModel owlModel,
                                                     boolean createNew)

  Deprecated. Use `createProtegeReasoner(owlModel, DefaultProtegeOWLReasoner.class)`

### createReasoner

    @Deprecated
    public ProtegeOWLReasoner createReasoner(OWLModel owlModel)

  Deprecated. Use `createProtegeReasoner(owlModel, DefaultProtegeOWLReasoner.class)`

### createProtegeReasoner

    public ProtegeReasoner createProtegeReasoner(OWLModel owlModel)

### createProtegeReasoner

    public ProtegeReasoner createProtegeReasoner(OWLModel owlModel,
                                                 Class reasonerJavaClass)

### getDefaultReasonerClassName

    public String getDefaultReasonerClassName()

### getDefaultReasonerClass

    public Class getDefaultReasonerClass()

### setDefaultReasonerClass

    public void setDefaultReasonerClass(String javaClassName)

### disposeReasoner

    public void disposeReasoner(OWLModel owlModel)

### getDefaultDIGReasonerClass

    public Class getDefaultDIGReasonerClass()

### setProtegeReasonerClass

    public ProtegeReasoner setProtegeReasonerClass(OWLModel owlModel,
                                                   Class reasonerJavaClass)

### setProtegeReasonerClass

    public ProtegeReasoner setProtegeReasonerClass(OWLModel owlModel,
                                                   String reasonerJavaClassName)

### hasAttachedReasoner

    public boolean hasAttachedReasoner(OWLModel owlModel)

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `edu.stanford.smi.protege.util.Disposable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.